[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TVirtualGrid.Create

Constructor for the class instance.

## Declaration

Source position: grids.pas line 432

`public constructor TVirtualGrid.Create;`

## Description

Create is the overridden constructor for the class instance, and calls the inherited method on entry.

Create allocates TPointerPointerArray resources needed for the column, row, and cell arrays used in the class instance. OnDestroyItem and OnNewItem event handlers in the array classes are set to the doDestroyItem and doNewItem methods in the class instance.

Creates sets the default values for the RowCount and ColCount properties to 4 (for both).

## See also

TObject.Create